Ant API: Class Exec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Exec

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Exec

Direct Known Subclasses:
  Cvs, Java, Javadoc

public class Exec
extends Task

Executes a given command if the os platform is appropriate.

Author:
  duncan@x180.com, rubys@us.ibm.com

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Exec()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`protected int` | `run(java.lang.String command)`
`void` | `setCommand(java.lang.String command)`
`void` | `setDir(java.lang.String d)`
`void` | `setOs(java.lang.String os)`
`void` | `setOutput(java.lang.String out)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exec

    public Exec()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### run

    protected int run(java.lang.String command)
               throws BuildException

### setDir

    public void setDir(java.lang.String d)

### setOs

    public void setOs(java.lang.String os)

### setCommand

    public void setCommand(java.lang.String command)

### setOutput

    public void setOutput(java.lang.String out)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.